Bug 339941 - AVC denial on manual X launch
AVC denial on manual X launch
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-19 11:56 EDT by Warren Togami
Modified: 2008-01-30 14:19 EST (History)
1 user (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-30 14:19:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2007-10-19 11:56:02 EDT
Below is a common usage of X that thin client users might do.  Is there any safe
rule that could allow this by default?

X -query localhost :1 
type=AVC msg=audit(1192652597.024:122): avc:  denied  { read } for  pid=7979
comm="X" name=".X1-lock" dev=dm-3 ino=2098934
scontext=root:system_r:xdm_xserver_t:s0-s0:c0.c1023
tcontext=system_u:object_r:unconfined_tmp_t:s0 tclass=file
type=AVC msg=audit(1192652597.024:123): avc:  denied  { unlink } for  pid=7979
comm="X" name=".X1-lock" dev=dm-3 ino=2098934
scontext=root:system_r:xdm_xserver_t:s0-s0:c0.c1023
tcontext=system_u:object_r:unconfined_tmp_t:s0 tclass=file
Comment 1 Daniel Walsh 2007-10-19 14:09:20 EDT
The question I have is why is this using /tmp at all.  X is supposed to be using
the virtual sockets so why is it creating a lock file in /tmp?
Comment 2 Daniel Walsh 2007-10-22 10:07:02 EDT
Fixed in selinux-policy-3.0.8-29.fc8.src.rpm
Comment 3 Daniel Walsh 2008-01-30 14:19:14 EST
Bulk closing all bugs in Fedora updates in the modified state.  If you bug is
not fixed, please reopen.

Note You need to log in before you can comment on or make changes to this bug.